WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/April 2012/2 Apr 2012

Ospreys Open Training Session

20 photographs Ben Evans/Huw Evans Agency Monday
Prints from £8 Order prints
020412 - Ospreys Open Training Session -Ospreys players train at Aberavon Greenstars RFC 001
CDF_020412_OspreysTraining01.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Ospreys players train at Aberavon Greenstars RFC
020412 - Ospreys Open Training Session -Ospreys players train at Aberavon Greenstars RFC 002
CDF_020412_OspreysTraining02.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Ospreys players train at Aberavon Greenstars RFC
020412 - Ospreys Open Training Session -Ospreys players train at Aberavon Greenstars RFC 003
CDF_020412_OspreysTraining03.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Ospreys players train at Aberavon Greenstars RFC
020412 - Ospreys Open Training Session -Ospreys players train at Aberavon Greenstars RFC 004
CDF_020412_OspreysTraining04.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Ospreys players train at Aberavon Greenstars RFC
020412 - Ospreys Open Training Session -Barry Davies signs autographs 005
CDF_020412_OspreysTraining05.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Barry Davies signs autographs
020412 - Ospreys Open Training Session -Shane Williams signs autographs 006
CDF_020412_OspreysTraining06.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Shane Williams signs autographs
020412 - Ospreys Open Training Session -Shane Williams signs autographs 007
CDF_020412_OspreysTraining07.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Shane Williams signs autographs
020412 - Ospreys Open Training Session -Tom Smith signs autographs 008
CDF_020412_OspreysTraining08.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Tom Smith signs autographs
020412 - Ospreys Open Training Session -Shane Williams signs autographs 009
CDF_020412_OspreysTraining09.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Shane Williams signs autographs
020412 - Ospreys Open Training Session -Shane Williams signs autographs 010
CDF_020412_OspreysTraining10.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Shane Williams signs autographs
020412 - Ospreys Open Training Session -George Stowers signs autographs 011
CDF_020412_OspreysTraining11.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -George Stowers signs autographs
020412 - Ospreys Open Training Session - 012
CDF_020412_OspreysTraining12.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -
020412 - Ospreys Open Training Session -Sam Lewis plays touch rugby with kids 013
CDF_020412_OspreysTraining13.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Sam Lewis plays touch rugby with kids
020412 - Ospreys Open Training Session -Sam Davies plays touch rugby with kids 014
CDF_020412_OspreysTraining14.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Sam Davies plays touch rugby with kids
020412 - Ospreys Open Training Session -Sam Davies plays touch rugby with kids 015
CDF_020412_OspreysTraining15.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Sam Davies plays touch rugby with kids
020412 - Ospreys Open Training Session -Eli Walker plays touch rugby with kids 016
CDF_020412_OspreysTraining16.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Eli Walker plays touch rugby with kids
020412 - Ospreys Open Training Session -Eli Walker plays touch rugby with kids 017
CDF_020412_OspreysTraining17.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Eli Walker plays touch rugby with kids
020412 - Ospreys Open Training Session -Sam Davies plays touch rugby with kids 018
CDF_020412_OspreysTraining18.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Sam Davies plays touch rugby with kids
020412 - Ospreys Open Training Session -Sam Davies plays touch rugby with kids 019
CDF_020412_OspreysTraining19.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Sam Davies plays touch rugby with kids
020412 - Ospreys Open Training Session -Eli Walker plays touch rugby with kids 020
CDF_020412_OspreysTraining20.JPG · Ben Evans/Huw Evans Agency020412 - Ospreys Open Training Session -Eli Walker plays touch rugby with kids

More from around this date

Tue 3 AprWRU Junior Rugby Stars Camp Sun 1 AprWales U16 rugby squad portraits Wed 4 AprRugby Commentators Sat 31 MarOspreys 41-10 Treviso Sat 31 MarCross Keys 6-25 Aberavon Fri 30 MarEdinburgh 26-23 Scarlets Fri 30 MarGlasgow Warriors 31-3 Cardiff Blues Fri 30 MarNewport-Gwent Dragons 19-27 Connacht
Ospreys Open Training Session · 2 Apr 2012
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured